Inspect

Link session to Slack thread

Link a session to an existing Slack thread so session updates and questions can be posted there.

Base URL
POST
/api/public/v1/sessions/{session_id}/link-slack-thread

Link a session to an existing Slack thread so session updates and questions can be posted there.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Path Parameters

session_id*string

The unique identifier of the session

Request Body

application/json
  1. body
channel_id*string

Slack channel ID that contains the thread

Length1 <= length
thread_ts*string

Slack thread timestamp (the parent message ts)

Length1 <= length
slack_user_id*string

Slack user ID to associate with the linked thread

Length1 <= length

Response Body

No content

Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/string/link-slack-thread' \  -H 'Content-Type: application/json' \  -d '{  "channel_id": "string",  "thread_ts": "string",  "slack_user_id": "string"}'
Example Response
Empty